#include <SPI.h>                             // SPI library (comes with Arduino)
#include <SdFat.h>                           // code.google.com/p/sdfatlib
#include <SdFatUtil.h>                       // Part of SdFat  
#include <SFEMP3Shield.h>                    // See text

SFEMP3Shield MP3player;                      // MP3 player object

char trackName[] = "track000.mp3";           // Char array for filename

void setup() {
  Serial.begin(9600);                        // Serial Monitor for debugging
  
  MP3player.begin();                         // Start shield
  MP3player.SetVolume(10, 10);               // Set volume to about 75%

  for(int i = 0; i<10; i++) {                // Iterate files 000 to 009
    sprintf(trackName, "track%03d.mp3", i);  // Format: track###.mp3
    MP3player.playMP3(trackName);            // Play track
    Serial.println(trackName);               // Show track name in Serial Monitor
    while(MP3player.isPlaying());            // Wait until track is done
  }  
}

void loop() {
  // Empty loop
}

